DataFieldRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.client
Class DataFieldRenderer

    java.lang.Object
      org.openswing.swing.pivottable.client.DataFieldRenderer

public class DataFieldRenderer
extends java.lang.Object

Title: OpenSwing Framework

Description: Base class used to define for each data cell:

- background and foreground color
- font to use

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`DataFieldRenderer()`

Method Summary
`java.awt.Color` | `getBackgroundColor(java.awt.Color currentColor, GenericNodeKey rowPath, GenericNodeKey colPath, java.lang.Object value, int row, int col)`
`java.awt.Font` | `getFont(java.awt.Font currentFont, GenericNodeKey rowPath, GenericNodeKey colPath, java.lang.Object value, int row, int col)`
`java.awt.Color` | `getForegroundColor(java.awt.Color currentColor, GenericNodeKey rowPath, GenericNodeKey colPath, java.lang.Object value, int row, int col)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFieldRenderer

    public DataFieldRenderer()

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor(java.awt.Color currentColor,
                                             GenericNodeKey rowPath,
                                             GenericNodeKey colPath,
                                             java.lang.Object value,
                                             int row,
                                             int col)

  Parameters:
    `currentColor` - current color to set
    `rowPath` - GenericNodeKey row fields path that identify current row
    `colPath` - GenericNodeKey column fields path that identify current column
    `value` - value to show in the specified cell
    `row` - current row
    `col` - current column
  Returns:
    Color background color to set

### getForegroundColor

    public java.awt.Color getForegroundColor(java.awt.Color currentColor,
                                             GenericNodeKey rowPath,
                                             GenericNodeKey colPath,
                                             java.lang.Object value,
                                             int row,
                                             int col)

  Parameters:
    `currentColor` - current color to set
    `rowPath` - GenericNodeKey row fields path that identify current row
    `colPath` - GenericNodeKey column fields path that identify current column
    `value` - value to show in the specified cell
    `row` - current row
    `col` - current column
  Returns:
    Color foreground color to set

### getFont

    public java.awt.Font getFont(java.awt.Font currentFont,
                                 GenericNodeKey rowPath,
                                 GenericNodeKey colPath,
                                 java.lang.Object value,
                                 int row,
                                 int col)

  Parameters:
    `currentFont` - current font to set
    `rowPath` - GenericNodeKey row fields path that identify current row
    `colPath` - GenericNodeKey column fields path that identify current column
    `value` - value to show in the specified cell
    `row` - current row
    `col` - current column
  Returns:
    font to set

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD